Bug 127334 - Update port: x11/tilda Update to version 0.9.6
Summary: Update port: x11/tilda Update to version 0.9.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-12 23:00 UTC by Cezary Morga
Modified: 2008-10-11 15:40 UTC (History)
0 users

See Also:


Attachments
file.diff (476 bytes, patch)
2008-09-12 23:00 UTC, Cezary Morga
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cezary Morga 2008-09-12 23:00:03 UTC
Following is the unified diff for the port, plus (as an attachement) the files/patch-Makefile.in patch.

Fix: diff -u ./tilda.orig/Makefile ./tilda/Makefile
--- ./tilda.orig/Makefile       2008-07-25 16:34:50.000000000 +0200
+++ ./tilda/Makefile    2008-09-12 23:02:23.000000000 +0200
@@ -6,8 +6,7 @@
 #

 PORTNAME=      tilda
-PORTVERSION=   0.9.4
-PORTREVISION=  3
+PORTVERSION=   0.9.6
 CATEGORIES=    x11
 MASTER_SITES=  ${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=    ${PORTNAME}
diff -u ./tilda.orig/distinfo ./tilda/distinfo
--- ./tilda.orig/distinfo       2007-01-01 01:30:15.000000000 +0100
+++ ./tilda/distinfo    2008-09-12 23:03:24.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (tilda-0.9.4.tar.gz) = 773d47e3985f7e778b662a38b053c1df
-SHA256 (tilda-0.9.4.tar.gz) = 84163a07e93f49935770815d989e1d67bd10786bf6e1d85a042e6ddff846aeb7
-SIZE (tilda-0.9.4.tar.gz) = 125710
+MD5 (tilda-0.9.6.tar.gz) = b44ebe04fdfd312e9ddc5e0ed77f4289
+SHA256 (tilda-0.9.6.tar.gz) = b3bd0f63eb83a5001ef26056ca116e5f8005d454f8f82a94f334868862068411
+SIZE (tilda-0.9.6.tar.gz) = 307517
Only in ./tilda: files
diff -u ./tilda.orig/pkg-plist ./tilda/pkg-plist
--- ./tilda.orig/pkg-plist      2007-05-19 22:27:23.000000000 +0200
+++ ./tilda/pkg-plist   2008-09-12 23:15:48.000000000 +0200
@@ -1,6 +1,7 @@
 bin/tilda
 share/applications/tilda.desktop
 share/pixmaps/tilda.png
+share/tilda.glade
 @dirrmtry share/applications
 %%PORTDOCS%%%%DOCSDIR%%/AUTHORS
 %%PORTDOCS%%%%DOCSDIR%%/ChangeLog

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-09-12 23:00:11 UTC
Maintainer of x11/tilda,

Please note that PR ports/127334 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127334

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-09-12 23:00:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Dmitry Marakasov freebsd_committer 2008-09-13 00:16:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 4 Dmitry Marakasov 2008-09-13 00:43:10 UTC
> Synopsis: Update port: x11/tilda Update to version 0.9.6
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=127334
* Lacks libglade2 dependency
* Plist is incomplete:
http://people.freebsd.org/~amdmi3/tilda-0.9.6.log
* tilda.desktop is better to be fixed with adding USE_GMAKE=yes

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 dfilter service freebsd_committer 2008-10-11 15:36:33 UTC
amdmi3      2008-10-11 14:36:25 UTC

  FreeBSD ports repository

  Modified files:
    x11/tilda            Makefile distinfo pkg-plist 
  Log:
  - Update to 0.9.6
  - Use SF macro
  
  PR:             127334
  Submitted by:   Cezary Morga <cm at therek dot net>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.9       +4 -5      ports/x11/tilda/Makefile
  1.5       +3 -3      ports/x11/tilda/distinfo
  1.3       +19 -0     ports/x11/tilda/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dmitry Marakasov freebsd_committer 2008-10-11 15:36:35 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!